/*
 * define path names
 *
 * $Id: pathnames.h,v 1.8 2002/02/06 04:54:16 matthewn Exp $
 */

#ifndef __PATHNAMES_H__
#define __PATHNAMES_H__

#ifdef HAVE_PATHS_H
#include <paths.h>

#else
#define _PATH_DEVNULL	"/dev/null"
#endif
/*
#ifdef PATH_ETC_CONFIG
#define _ROOT_PATH
#define _PATH_VARRUN 	"/var/run/"
#define _PATH_UPAPFILE 	"/etc/config/pap-secrets"
#define _PATH_CHAPFILE 	"/etc/config/chap-secrets"
#define _PATH_SYSOPTIONS "/etc/config/options"
#define _PATH_IPUP	"/etc/config/ip-up"
#define _PATH_IPDOWN	"/etc/config/ip-down"
#define _PATH_AUTHUP	"/etc/config/auth-up"
#define _PATH_AUTHDOWN	"/etc/config/auth-down"
#define _PATH_TTYOPT	"/etc/config/options."
#define _PATH_CONNERRS	"/var/log/connect-errors"
#define _PATH_USEROPT	".ppprc"
#define _PATH_PEERFILES	"/etc/config/peers/"
#define _PATH_RESOLV	"/etc/resolv.conf"
#define _PATH_TEMP      "/var/config/resolv.XXXXXX"
#else
*/
#undef _PATH_VARRUN 
#define _PATH_VARRUN 	"/var/config/ppp/"

#define _PATH_UPAPFILE 	"/var/config/pap-secrets"
#define _PATH_CHAPFILE 	"/var/config/chap-secrets"
#define _L2TPC_PAP_FILE_PATH	"/var/config/l2tpc"	//added by rotor
#define _L2TPS_PAP_FILE_PATH	"/var/config/l2tps"	//added by rotor
#define _L2TPC_CHAP_FILE_PATH	"/var/config/l2tpc"	//added by rotor
#define _L2TPS_CHAP_FILE_PATH	"/var/config/l2tps"	//added by rotor
#define _PPTPC_PAP_FILE_PATH	"/var/config/pptpc"	//added by Joe
#define _PPTPS_PAP_FILE_PATH	"/var/config/pptps"	//added by Joe
#define _PPTPC_CHAP_FILE_PATH	"/var/config/pptpc"	//added by Joe
#define _PPTPS_CHAP_FILE_PATH	"/var/config/pptps"	//added by Joe
#define _PPTP_CHAP_FILE_PATH	"/var/config/pptp"	//added by Joe
#define _PPTP_PAP_FILE_PATH	    "/var/config/pptp"	//added by Joe
#define _PATH_SYSOPTIONS "/var/config/ppp/options"
#define _PATH_IPUP	"/var/config/ppp/ip-up"
#define _PATH_IPDOWN	"/var/config/ppp/ip-down"
#define _PATH_AUTHUP	"/var/config/ppp/auth-up"
#define _PATH_AUTHDOWN	"/var/config/ppp/auth-down"
#define _PATH_TTYOPT	"/var/config/ppp/options."
#define _PATH_CONNERRS	"/var/config/ppp/connect-errors"
#define _PATH_USEROPT	".ppprc"
//#define _PATH_PEERFILES	"/var/config/ppp/peers/"
#define _PATH_PEERFILES	"/etc/ppp/peers/" //modified by stanley, 20060621
#define _PATH_RESOLV	"/var/config/resolv.conf"
#define _PATH_TEMP      "/var/config/ppp/resolv.XXXXXX"
/*
#endif
*/
#ifdef IPX_CHANGE
#define _PATH_IPXUP	"/etc/ppp/ipx-up"
#define _PATH_IPXDOWN	"/etc/ppp/ipx-down"
#endif /* IPX_CHANGE */

#endif //__PATHNAMES_H__

